#language: ru

@ignore
@exportscenarios

Функционал: Общие сценарии работы с пользователями

Сценарий: Я создаю группу доступа "ИмяГруппы" с профилем "ИмяПрофиля"

	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда я жду открытия окна 'Настройки пользователей и прав' в течение 20 секунд
	И я нажимаю на кнопку 'Группы доступа'
	Тогда я жду открытия окна 'Группы доступа' в течение 20 секунд
	Если в таблице "Список" нет строк Тогда
		| 'Наименование' |
		| 'ИмяГруппы'    |
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда я жду открытия окна 'Группа доступа (создание)' в течение 20 секунд
		И из выпадающего списка "Профиль" я выбираю по строке "ИмяПрофиля"
		И в поле 'Наименование' я ввожу текст "ИмяГруппы"
		И элемент формы с именем "Профиль" стал равен "ИмяПрофиля"
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Группа доступа (создание) *' в течение 20 секунд
		Тогда я жду открытия окна 'Группы доступа' в течение 20 секунд
	И Я закрываю окно 'Группы доступа'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: Я создаю пользователя "Имя пользователя" с профилями "Имена профилей через точку с запятой"

	Когда В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда я жду открытия окна 'Настройки пользователей и прав' в течение 20 секунд
	И я нажимаю на кнопку 'Пользователи'
	Тогда я жду открытия окна 'Пользователи' в течение 20 секунд
	Если в таблице "ПользователиСписок" нет строк Тогда
		| 'Полное имя'       |
		| 'Имя пользователя' |
		И я нажимаю на кнопку с именем 'СоздатьПользователя'
		Тогда я жду открытия окна 'Пользователь (создание)' в течение 20 секунд
		И в поле 'Полное имя' я ввожу текст "Имя пользователя"
		И в поле с именем 'ПользовательИБИмя1' я ввожу текст "Имя пользователя"
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда я жду открытия окна '* (Пользователь)' в течение 20 секунд
		И В текущем окне я нажимаю кнопку командного интерфейса 'Права доступа'
		И для каждого значения "ИмяПрофиля" из массива "Имена профилей через точку с запятой"
			И в таблице "ГруппыДоступа" я нажимаю на кнопку с именем 'ГруппыДоступаВключитьВГруппу'
			Тогда я жду открытия окна 'Группы доступа' в течение 20 секунд
			И в таблице "ГруппыДоступа" я перехожу к строке:
				| 'Наименование' |
				| '$ИмяПрофиля$' |
			И в таблице "ГруппыДоступа" я выбираю текущую строку
			Тогда я жду открытия окна '* (Пользователь)' в течение 20 секунд
		И Я закрываю окно '* (Пользователь)'
		Тогда я жду открытия окна 'Пользователи' в течение 20 секунд
	И Я закрываю окно 'Пользователи'
	Тогда я жду открытия окна 'Настройки пользователей и прав' в течение 20 секунд
	И Я закрываю окно 'Настройки пользователей и прав'
	И я запоминаю строку "Имя пользователя" в переменную "ИмяПользователя"
	И я выполняю код встроенного языка на сервере без контекста
	| 'ОбщегоНазначения.ХранилищеОбщихНастроекСохранить("ОбщиеНастройкиПользователя", "ЗапрашиватьПодтверждениеПриЗавершенииПрограммы", Ложь,, "$ИмяПользователя$");' |

Сценарий: Я создаю пользователя "Имя пользователя"

	Когда В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда я жду открытия окна 'Настройки пользователей и прав' в течение 20 секунд
	И я нажимаю на кнопку 'Пользователи'
	Тогда я жду открытия окна 'Пользователи' в течение 20 секунд
	Если в таблице "ПользователиСписок" нет строк Тогда
		| 'Полное имя'       |
		| 'Имя пользователя' |
		И я нажимаю на кнопку с именем 'СоздатьПользователя'
		Тогда я жду открытия окна 'Пользователь (создание)' в течение 20 секунд
		И в поле 'Полное имя' я ввожу текст "Имя пользователя"
		И в поле с именем 'ПользовательИБИмя1' я ввожу текст "Имя пользователя"
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда я жду открытия окна '* (Пользователь)' в течение 20 секунд
		И Я закрываю окно '* (Пользователь)'
		Тогда я жду открытия окна 'Пользователи' в течение 20 секунд
	И Я закрываю окно 'Пользователи'
	Тогда я жду открытия окна 'Настройки пользователей и прав' в течение 20 секунд
	И Я закрываю окно 'Настройки пользователей и прав'
	И я запоминаю строку "Имя пользователя" в переменную "ИмяПользователя"
	И я выполняю код встроенного языка на сервере без контекста
	| 'ОбщегоНазначения.ХранилищеОбщихНастроекСохранить("ОбщиеНастройкиПользователя", "ЗапрашиватьПодтверждениеПриЗавершенииПрограммы", Ложь,, "$ИмяПользователя$");' |


Сценарий: Я подключаюсь под "ИмяПользователя"

	Дано Я подключаю клиент тестирования с параметрами:
		| 'Имя'             | 'Логин'           | 'Пароль' | 'Дополнительные параметры строки запуска'         |
		| 'ИмяПользователя' | 'ИмяПользователя' | ''       |  '/CРежимОтладки /AllowExecuteScheduledJobs –Off' |
	И Я закрыл все окна клиентского приложения

Сценарий: Я переключаюсь на открытый клиент "ИмяПользователя"

	Дано Я подключаю клиент тестирования с параметрами:
		| 'Имя'             | 'Логин'           | 'Пароль' | 'Дополнительные параметры строки запуска'         |
		| 'ИмяПользователя' | 'ИмяПользователя' | ''       |  '/CРежимОтладки /AllowExecuteScheduledJobs –Off' |

Сценарий: Я создаю пользователя с физическим лицом "ИмяПользователя"

	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку с именем 'ОткрытьПользователи'
	Тогда открылось окно 'Пользователи'
	И я нажимаю на кнопку с именем 'СоздатьПользователя'
	Тогда открылось окно 'Пользователь (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяПользователя'
	И из выпадающего списка с именем "ФизическоеЛицо" я выбираю по строке 'ИмяПользователя'
	И в поле с именем 'ПользовательИБИмя1' я ввожу текст 'ИмяПользователя'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Пользователь (создание) *' в течение 20 секунд
	Тогда открылось окно 'Пользователи'
	И Я закрываю окно 'Пользователи'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'